/*
**  Copyright (c) 2003,2004,2005 Andrea Luzzardi <scox@gentoo.org>
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation; either version 2 of the License, or
**  (at your option) any later version.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#include "usbadm.h"

extern struct action actions[];

void print_usage (char *name, char **av)
{
	struct action *action = NULL;

	action = find_action (name);
	printf ("Usage: %s %s %s\n", av[0], action->name, action->usage);
}

int help (int ac, char **av)
{
	struct action *action = actions;
	char *name = NULL;

	if (ac == 2) {
		printf ("Usage: %s <action> [arguments]\n", av[0]);
		printf ("Avaible actions are: \n");

		while (action->name) {
			printf ("   %s - %s\n", action->name, action->desc);
			action++;
		}

		printf ("See %s %s <action> for info.\n", av[0], av[1]);
		return 1;
	}

	name = av[2];
	if (!(action = find_action (name))) {
		printf ("%s: unknown action\n", name);
		printf ("See %s %s for actions.\n", av[0], av[1]);
		return 1;
	}

	printf ("Action: %s\n", action->name);
	printf ("Description: %s\n", action->desc);
	if (action->usage)
		print_usage(action->name, av);

	return 0;
}
