#ifndef _USBHOTPLUG_H
#define _USBHOTPLUG_H

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <errno.h>

#include <security/pam_appl.h>

#include <pam.h>
#include <parser.h>
#include <conf.h>

#define SERVICE "usbhotplug"
#define CONF_FILE "/etc/pam_usb/hotplug.conf"

FILE *log_stream;

#define DEBUG(s, ...) 				\
do {						\
	fprintf (log_stream, "[%s] ", SERVICE);	\
	fprintf (log_stream, s, ##__VA_ARGS__);	\
	fflush (log_stream);			\
} while(0)

struct _expected_config {
	char *name;
	char **value;
	int required;
};

struct hotplug_config {
	char *enable;
	char *auth;
	char *user;
	char *logfile;
	char *start;
	char *stop;
	char *sleep;
};

struct device_info {
	char *action;
	char *product;
};

extern struct hotplug_config config;

#endif
